<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Web management</title>
<link rel="stylesheet" href="styles.css" type="text/css">
<?php include 'codes.php';?>
</head>
<body>
<?php 
$insertid = mysql_real_escape_string(stripslashes($_REQUEST['id']));
?>

<table width="980" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><div><img src="img/frame-edit.png" width="180" height="37" alt=""></div>
<div class="frame">

<form name="forma" method="post" action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" enctype="multipart/form-data">
<input type="hidden" name="id" value="<?php echo $insertid ?>">

<?php
$sql50 = "SELECT * FROM lang WHERE active=1 ORDER BY id";
$result50 = mysql_query($sql50);
while ($myrow=mysql_fetch_array($result50)) {
$langid=$myrow['id'];
$language=$myrow['language'];
$dir=$myrow['dir'];
?>

<?php
$sql51 = "SELECT * FROM rooms WHERE insert_id='$insertid' AND lang_id='$langid'";
$result51 = mysql_query($sql51);
while ($myrow=mysql_fetch_array($result51)) {
$category_id=$myrow['category_id'];
$insert_id=$myrow['insert_id'];
$lang_id=$myrow['lang_id'];
$page=$myrow['page'];
$name=$myrow['name'];
$text=$myrow['text'];
$image=$myrow['image'];
$publish=$myrow['publish'];
$publisha=$myrow['publisha'];
$publishb=$myrow['publishb'];
$priority=$myrow['priority'];
?>

<?php 
if  (isset($_POST['submit'])) {

$page = mysql_real_escape_string(stripslashes($_REQUEST['page']));
$namelang = mysql_real_escape_string(stripslashes($_REQUEST["name$langid"]));
$textlang = mysql_real_escape_string(stripslashes($_REQUEST["text$langid"]));
$name = mysql_real_escape_string(stripslashes($_REQUEST["name$langid"]));
$text = mysql_real_escape_string(stripslashes($_REQUEST["text$langid"]));
$image = mysql_real_escape_string(stripslashes($_REQUEST['image']));
$publish = mysql_real_escape_string(stripslashes($_REQUEST['publish']));
$publisha = mysql_real_escape_string(stripslashes($_REQUEST['publisha']));	
$publishb = mysql_real_escape_string(stripslashes($_REQUEST['publishb']));		  
$priority = mysql_real_escape_string(stripslashes($_REQUEST['priority']));

$sql="UPDATE rooms SET page='$page', name='$namelang', text='$textlang', image='$image', publish='$publish', publisha='$publisha', publishb='$publishb', priority='$priority' WHERE insert_id='$insertid' AND lang_id='$langid'";
$result = mysql_query($sql);
?>
<meta http-equiv="refresh" content="0;URL=edit-room.php?id=<?php echo $insertid ?>">     
<?php } ?>

  <table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
      <td width="20"><img src="img/<?php echo $dir ?>.png" width="16" height="16" alt=""></td> 
      <td width="200">Τίτλος 
        </td>
      <td> 
        <input type="text" name="name<?php echo $langid ?>" value="<?php echo $name ?>" size="100" class="forms">
        </td>
    </tr>
    <tr>
      <td><img src="img/<?php echo $dir ?>.png" width="16" height="16" alt=""></td>
      <td>Κείμενο </td>
      <td><textarea name="text<?php echo $langid ?>" rows="10" class="mceEditor"><?php echo $text ?></textarea></td>
    </tr>
    </table>

<?php } ?>
<?php } ?>

<!--NEW LANG -->
<?php
$sql52 = "SELECT * FROM lang WHERE id NOT IN (SELECT lang_id FROM rooms WHERE insert_id='$insertid') AND active=1 ORDER BY id";
$result52 = mysql_query($sql52);
$nu_row52 = mysql_num_rows($result52);
while ($myrow=mysql_fetch_array($result52)) {
$langid2=$myrow['id'];
$language2=$myrow['language'];
$dir2=$myrow['dir'];
?>

<?php if  ($nu_row52>0) { ?>

  <table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
      <td width="20"><img src="img/<?php echo $dir2 ?>.png" width="16" height="16" alt=""></td> 
      <td width="200">Τίτλος 
        </td>
      <td> 
        <input type="text" name="name<?php echo $langid2 ?>" size="100" class="forms">
        </td>
    </tr>
    <tr>
      <td><img src="img/<?php echo $dir2 ?>.png" width="16" height="16" alt=""></td>
      <td>Κείμενο </td>
      <td><textarea name="text<?php echo $langid2 ?>" rows="10" class="mceEditor"></textarea></td>
    </tr>
    </table>
    
<?php 
if  (isset($_POST['submit'])) {
$namelang2 = mysql_real_escape_string(stripslashes($_REQUEST["name$langid2"]));
$textlang2 = mysql_real_escape_string(stripslashes($_REQUEST["text$langid2"]));

$sql = "INSERT INTO rooms (insert_id, lang_id, name, text, image, publish, publisha, publishb, priority) VALUES ('$insert_id', '$langid2', '$namelang2', '$textlang2', '$image', '$publish', '$publisha', '$publishb', '$priority')";
$result = mysql_query($sql);
?>

<meta http-equiv="refresh" content="0;URL=edit-room.php?id=<?php echo $insertid ?>">    
    
<?php } ?>
<?php } ?>
<?php } ?>

<!--END NEW LANG -->

<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td>&nbsp;</td>
    <td>Page</td>
    <td><input name="page" type="text" class="forms" value="<?php echo $page ?>" size="100"></td>
  </tr>
    <tr>
      <td width="20">&nbsp;</td> 
      <td width="200">Εικόνα</td>
      <td>
        <select name="image" class="forms">
          <?php if ($image=="yes") { ?>
          <option value="yes" selected>yes</option>
          <option value="no">no</option>
          <?php }else{?> 
          <option value="no" selected>no</option>
          <option value="yes">yes</option>
          <?php } ?>
          </select>
        <input type="hidden" name="max_file_size" value="600000">
        <input name="upload" type="file" size="50" class="forms">   
        </td>
    </tr>
    <tr>
      <td>&nbsp;</td> 
      <td>Δημοσίευση στο site?</td>
      <td><select name="publish" class="forms">
        <?php if ($publish=="yes") { ?>
        <option value="yes" selected>yes</option>
        <option value="no">no</option>
        <?php }else{?> 
        <option value="no" selected>no</option>
        <option value="yes">yes</option>
        <?php } ?>
        </select></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Δημοσίευση στην διαμονή?</td>
      <td><?php if ($publisha==yes) { ?>
        <select name="publisha" class="forms">
          <option value="yes" selected>yes</option>
          <option value="no">no</option>
        </select>
        <?php }else{?>
        <select name="publisha" class="forms">
          <option value="yes">yes</option>
          <option value="no" selected>no</option>
        </select>
        <?php } ?></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Δημοσίευση στον τιμοκατάλογο?</td>
      <td><?php if ($publishb==yes) { ?>
        <select name="publishb" class="forms">
          <option value="yes" selected>yes</option>
          <option value="no">no</option>
        </select>
        <?php }else{?>
        <select name="publishb" class="forms">
          <option value="yes">yes</option>
          <option value="no" selected>no</option>
        </select>
        <?php } ?></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Αριθμός προτεραιότητας</td>
      <td><input type="text" name="priority" size="20" maxlength="11" value="<?php echo $priority ?>" class="forms"></td>
    </tr>
    </table>
 
 <?php
	   $uploadid=$insertid;

        $uploaddir = '../images/rooms/'; 
		$filetype = '.jpg';
		$uploadname = $uploadid . $filetype; 
		
 if (isset($_POST['submit'])){ 
        if( $_FILES['upload']['tmp_name'] != "" ){
		
        $dest = $uploaddir . $uploadname; 
        if (copy ( $_FILES['upload']['tmp_name'], $dest )){ 
		
	function createthumb($name,$filename,$new_w,$new_h){
	$system=explode('.',$name);
	if (preg_match('/jpg|jpeg/',$system[3])){
		$src_img=imagecreatefromjpeg($name);
	}
	if (preg_match('/png/',$system[3])){
		$src_img=imagecreatefrompng($name);
	}
	
$old_x=imageSX($src_img);
$old_y=imageSY($src_img);
if ($old_x > $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
}
if ($old_x < $old_y) {
	//$thumb_w=$old_x*($new_w/$old_y);
	//$thumb_h=$new_h;
	
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
	
}
if ($old_x == $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$new_h;
}
$dst_img=ImageCreateTrueColor($thumb_w,$thumb_h);
imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y); 

	
if (preg_match("/png/",$system[3]))
{
	imagepng($dst_img,$filename); 
} else {
	imagejpeg($dst_img,$filename); 
}
imagedestroy($dst_img); 
imagedestroy($src_img); 
}

  createthumb('../images/rooms/'.$uploadid.'.jpg','../images/rooms/thumbs/'.$uploadid.'.jpg',150,150);

  $sql="UPDATE rooms SET image='yes' WHERE insert_id='$insertid'";
  $result = mysql_query($sql);         
 } } 
 
 }?>
   
  <div align="center" style="padding:5px">
   <input type="submit" name="submit" value="Καταχώρηση" class="button">
   <input type="reset" name="reset" value="Επαναφορά" class="button">  
   </div>
   
</form>  

</div>
<div align="right"><a href="all-rooms.php" class="links">μεταφορά στην Λίστα</a></div></td>
  </tr>
</table>
<?php if ($image==yes) { ?>
<div align="center"><img src="../images/rooms/thumbs/<?php echo $insertid ?>.jpg" width="150"> </div>
<?php } ?>
<?php include 'menudown.php';?>

</body>
</html>
